Method: projects.locations.sessions.list

Lists previously created automation sessions.

Sessions may still be in-progress, or may have finished successfully, or unsuccessfully.

HTTP request

GET https://devicerun.googleapis.com/v1alpha/{parent=projects/*/locations/*}/sessions

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. Parent value for ListSessionsRequest The parent of the collection of sessions. Format: projects/{project}/locations/{location}. It takes the form projects/{project}/locations/{location}.

Query parameters

Parameters
pageSize

integer

Optional. The maximum number of sessions to return. The server may return fewer items than this value. If unspecified, at most 20 sessions will be returned. The maximum value is 100, values above will be coerced to 100.

pageToken

string

Optional. A page token, received from a previous sessions.list call. Provide this to receive the subsequent page.

When paginating, all other parameters provided to sessions.list must match the call that provided the page token.

filter

string

Optional. The raw filter text to constrain the results.

orderBy

string

Optional. The order to sort results by.

view

enum (SessionView)

Optional. The view of the sessions to return. If not set, the BASIC view will be returned.

Request body

The request body must be empty.

Response body

Response including listed sessions.

If successful, the response body contains data with the following structure:

JSON representation
{
  "sessions": [
    {
      object (Session)
    }
  ],
  "nextPageToken": string,
  "unreachable": [
    string
  ]
}
Fields
sessions[]

object (Session)

The list of sessions.

nextPageToken

string

Token to receive the next page of sessions. This will be absent if the end of the response list has been reached.

unreachable[]

string

Unordered list. Sessions that could not be reached.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.